This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303860 - page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page)), kernel BUG at include/linux/page-flags.h:275
page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page)), kernel BUG at i...
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 1307033 1405289 (view as bug list)
Depends On: 1335173
Blocks: 1335392
  Show dependency treegraph
 
Reported: 2016-02-02 04:21 EST by Tomasz Torcz
Modified: 2017-02-28 04:53 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2016-02-02 04:21:04 EST
Description of problem:
Upon startup, GDM screen does not appear. dmesg contains:

[  102.553211] page:ffffea0001511000 count:1 mapcount:0 mapping:          (null) index:0x0 compound_mapcount: 0
[  102.553228] flags: 0xfffff80004000(head)
[  102.553239] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
[  102.553328] ------------[ cut here ]------------
[  102.554025] kernel BUG at include/linux/page-flags.h:272!
[  102.558292] invalid opcode: 0000 [#1] SMP 
[  102.561866] Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun sit tunnel4 ip_tunnel nf_conntrack_netbios_ns nf_conntrack_broadcast ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_nat ebtable_filter ebtables ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack arc4 rt2800usb rt2x00usb rt2800lib rt2x00lib mac80211 cfg80211 crc_ccitt rfkill iTCO_wdt iTCO_vendor_support snd_intel8x0 snd_ac97_codec joydev ppdev ac97_bus dcdbas snd_seq snd_seq_device snd_pcm lpc_ich snd_timer i2c_i801 snd soundcore parport_pc parport acpi_cpufreq tpm_tis shpchp
[  102.580438]  tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c i915 ata_generic serio_raw pata_acpi video i2c_algo_bit drm_kms_helper tg3 drm fjes ptp pps_core 8021q garp stp llc mrp
[  102.580438] CPU: 0 PID: 1996 Comm: gnome-shell Not tainted 4.5.0-0.rc1.git2.1.fc24.x86_64 #1
[  102.580438] Hardware name: Dell Inc.                 OptiPlex GX620               /0F8096, BIOS A11 11/30/2006
[  102.580438] task: ffff88003599b100 ti: ffff880060994000 task.ti: ffff880060994000
[  102.580438] RIP: 0010:[<ffffffffa0055cce>]  [<ffffffffa0055cce>] drm_pci_alloc+0x13e/0x1c0 [drm]
[  102.580438] RSP: 0018:ffff8800609979c0  EFLAGS: 00010246
[  102.607605] RAX: 000000000000003c RBX: ffff880067d6ec00 RCX: 0000000000000006
[  102.607605] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88007c7ce1e0
[  102.607605] RBP: ffff8800609979f0 R08: 0000000000000001 R09: 0000000000000001
[  102.607605] R10: ffff880054440000 R11: 0000000000000001 R12: 0000000000040000
[  102.607605] R13: ffff880054440000 R14: ffff88007ba0da00 R15: ffff88006895dc00
[  102.607605] FS:  00007f00ca5bba80(0000) GS:ffff88007c600000(0000) knlGS:0000000000000000
[  102.607605] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  102.607605] CR2: 0000562d7b1ea488 CR3: 0000000060829000 CR4: 00000000000006f0
[  102.607605] Stack:
[  102.607605]  024040c46895dc00 ffff88007b9b6098 0000000065f9b9ca 0000000000000100
[  102.607605]  ffff88007ba0d940 ffff88007ba0d900 ffff880060997a28 ffffffffa0155c64
[  102.607605]  0000000000000246 ffff88007b8a1800 ffff88006895dcc0 ffff88007ba0d900
[  102.607605] Call Trace:
[  102.607605]  [<ffffffffa0155c64>] i915_gem_object_attach_phys+0x124/0x1d0 [i915]
[  102.607605]  [<ffffffffa01a0c34>] intel_prepare_plane_fb+0x1c4/0x300 [i915]
[  102.607605]  [<ffffffffa00f3523>] drm_atomic_helper_prepare_planes+0x53/0xc0 [drm_kms_helper]
[  102.607605]  [<ffffffffa0197d91>] intel_atomic_commit+0x2c1/0x1890 [i915]
[  102.607605]  [<ffffffffa006b707>] ? drm_atomic_check_only+0x197/0x620 [drm]
[  102.607605]  [<ffffffffa006aff0>] ? drm_atomic_get_crtc_state+0x70/0xe0 [drm]
[  102.607605]  [<ffffffffa006bbca>] drm_atomic_commit+0x3a/0x60 [drm]
[  102.607605]  [<ffffffffa00f3cec>] drm_atomic_helper_update_plane+0xec/0x130 [drm_kms_helper]
[  102.607605]  [<ffffffffa005a92c>] __setplane_internal+0x20c/0x250 [drm]
[  102.696859]  [<ffffffffa005aaa4>] drm_mode_cursor_universal+0x134/0x220 [drm]
[  102.696859]  [<ffffffffa005ac11>] drm_mode_cursor_common+0x81/0x180 [drm]
[  102.696859]  [<ffffffffa005f11e>] drm_mode_cursor2_ioctl+0xe/0x10 [drm]
[  102.696859]  [<ffffffffa004fca2>] drm_ioctl+0x152/0x570 [drm]
[  102.696859]  [<ffffffff813c43f0>] ? avc_has_perm+0x40/0x2d0
[  102.696859]  [<ffffffffa005f110>] ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[  102.696859]  [<ffffffff810de269>] ? __might_sleep+0x49/0x80
[  102.696859]  [<ffffffff812a5b14>] do_vfs_ioctl+0xa4/0x6d0
[  102.696859]  [<ffffffff812b24b2>] ? __fget+0x122/0x210
[  102.696859]  [<ffffffff812b2395>] ? __fget+0x5/0x210
[  102.696859]  [<ffffffff812a61b9>] SyS_ioctl+0x79/0x90
[  102.696859]  [<ffffffff818b6bb2>] entry_SYSCALL_64_fastpath+0x12/0x72
[  102.696859] Code: 0f 82 8b 00 00 00 4c 89 c7 48 01 cf 48 c1 ef 0c 48 c1 e7 06 48 01 f7 48 8b 0f 80 e5 40 74 0e 48 c7 c6 28 30 08 a0 e8 22 e5 1c e1 <0f> 0b 48 8b 4f 20 83 e1 01 75 e9 f0 80 4f 01 04 48 05 00 10 00 
[  102.696859] RIP  [<ffffffffa0055cce>] drm_pci_alloc+0x13e/0x1c0 [drm]
[  102.696859]  RSP <ffff8800609979c0>
[  102.781911] ---[ end trace 9a1af0b071bf2a58 ]---



Version-Release number of selected component (if applicable):
kernel-core-4.5.0-0.rc1.git2.1.fc24.x86_64
gnome-shell-3.19.4-1.fc24.x86_64


How reproducible:
Always

Hardware is quite ancient:
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Comment 1 Tomasz Torcz 2016-02-17 03:56:15 EST
Still the same with 4.5.0-0.rc4.git0.1.fc24.x86_64
Comment 2 Tomasz Torcz 2016-04-04 04:39:29 EDT
No luck with 4.6.0-0.rc1.git0.1.fc25.x86_64:

[  111.747192] page:ffffea000133c000 count:1 mapcount:0 mapping:          (null) index:0x0 compound_mapcount: 0
[  111.747206] flags: 0x1ffffc00004000(head)
[  111.747212] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
[  111.747314] ------------[ cut here ]------------
[  111.749054] kernel BUG at include/linux/page-flags.h:272!
[  111.749054] invalid opcode: 0000 [#1] SMP 
[  111.749054] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun sit tunnel4 ip_tunnel btrfs xor raid6_pq dm_service_time ccm nf_conntrack_netbios_ns nf_conntrack_broadcast iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnx2fc ip6t_rpfilter cnic uio fcoe libfcoe ip6t_REJECT nf_reject_ipv6 libfc scsi_transport_fc xt_conntrack ip_set nfnetlink ebtable_filter ebtable_broute bridge ebtable_nat ebtables ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_filter ip6_tables iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw arc4 rt2800usb rt2x00usb rt2800lib rt2x00lib mac80211 cfg80211 crc_ccitt rfkill snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device
[  111.770183]  iTCO_wdt iTCO_vendor_support snd_pcm snd_timer snd soundcore ppdev lpc_ich i2c_i801 dcdbas parport_pc parport shpchp acpi_cpufreq tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_multipath xfs libcrc32c i915 tg3 video i2c_algo_bit serio_raw drm_kms_helper ata_generic drm pata_acpi ptp pps_core fjes 8021q garp stp llc mrp softdog
[  111.770183] CPU: 1 PID: 2899 Comm: gnome-shell Not tainted 4.6.0-0.rc1.git0.1.fc25.x86_64 #1
[  111.770183] Hardware name: Dell Inc.                 OptiPlex GX620               /0F8096, BIOS A11 11/30/2006
[  111.770183] task: ffff8800587fd7c0 ti: ffff880055134000 task.ti: ffff880055134000
[  111.770183] RIP: 0010:[<ffffffffc005f654>]  [<ffffffffc005f654>] drm_pci_alloc+0x134/0x1b0 [drm]
[  111.770183] RSP: 0018:ffff8800551379d8  EFLAGS: 00010246
[  111.770183] RAX: 000000000000003c RBX: 0000000000040000 RCX: 0000000000000006
[  111.813411] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88007f48e010
[  111.813411] RBP: ffff880055137a08 R08: 000000000000037f R09: 6163656220646570
[  111.813411] R10: ffff88004cf00000 R11: 5f4755425f4d5620 R12: ffff88005aeb71c0
[  111.813411] R13: ffffffff81c24fc0 R14: 0000000000000000 R15: ffff8800644a1780
[  111.829422] FS:  00007f543d6bbac0(0000) GS:ffff88007f480000(0000) knlGS:0000000000000000
[  111.829422] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  111.829422] CR2: 00005653a75c1c98 CR3: 0000000055255000 CR4: 00000000000006e0
[  111.829422] Stack:
[  111.829422]  024040c4644a1780 ffff88007c1c5098 0000000049ef3dc0 0000000000000100
[  111.829422]  ffff88005655aa80 ffff88005655aa80 ffff880055137a38 ffffffffc0155e46
[  111.829422]  00ffffffc01e7840 ffff880036bbcc00 ffff8800644a1540 ffff88005655aa80
[  111.829422] Call Trace:
[  111.829422]  [<ffffffffc0155e46>] i915_gem_object_attach_phys+0x116/0x1c0 [i915]
[  111.829422]  [<ffffffffc019e814>] intel_prepare_plane_fb+0x1c4/0x300 [i915]
[  111.873483]  [<ffffffffc00cd873>] drm_atomic_helper_prepare_planes+0x53/0xc0 [drm_kms_helper]
[  111.873483]  [<ffffffffc0198022>] ? intel_atomic_check+0x332/0x1140 [i915]
[  111.873483]  [<ffffffffc0195ef9>] intel_atomic_commit+0x2b9/0x15d0 [i915]
[  111.873483]  [<ffffffffc0074842>] ? drm_atomic_check_only+0x182/0x600 [drm]
[  111.873483]  [<ffffffffc0074cfa>] drm_atomic_commit+0x3a/0x60 [drm]
[  111.873483]  [<ffffffffc00ce31c>] drm_atomic_helper_update_plane+0xec/0x130 [drm_kms_helper]
[  111.873483]  [<ffffffffc0064e06>] __setplane_internal+0x206/0x250 [drm]
[  111.873483]  [<ffffffffc0064f84>] drm_mode_cursor_universal+0x134/0x220 [drm]
[  111.873483]  [<ffffffffc00650ee>] drm_mode_cursor_common+0x7e/0x180 [drm]
[  111.873483]  [<ffffffffc006899e>] drm_mode_cursor2_ioctl+0xe/0x10 [drm]
[  111.873483]  [<ffffffffc0059922>] drm_ioctl+0x152/0x540 [drm]
[  111.873483]  [<ffffffffc0068990>] ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[  111.873483]  [<ffffffff811fae0f>] ? do_mmap+0x40f/0x4c0
[  111.873483]  [<ffffffff8125e313>] do_vfs_ioctl+0xa3/0x5d0
[  111.941004]  [<ffffffff8125e8b9>] SyS_ioctl+0x79/0x90
[  111.941004]  [<ffffffff817de232>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[  111.941004] Code: 48 01 cf 48 c1 ef 0c 48 c1 e7 06 48 01 f7 48 8b 0f 80 e5 40 75 09 48 8b 4f 20 83 e1 01 74 0e 48 c7 c6 a0 be 08 c0 e8 1c b8 18 c1 <0f> 0b f0 80 4f 01 04 48 81 c2 00 10 00 00 48 81 eb 00 10 00 00 
[  111.941004] RIP  [<ffffffffc005f654>] drm_pci_alloc+0x134/0x1b0 [drm]
[  111.941004]  RSP <ffff8800551379d8>
[  111.975108] ---[ end trace 6b307e789b4e6d84 ]---
[  189.496206] traps: gnome-session-f[7104] trap int3 ip:7f0f61b0b26b sp:7ffde2e929d0 error:0
Comment 3 Giovanni Tirloni 2016-04-05 11:39:12 EDT
I'm getting the same error when trying to start a VirtualBox VM using Vagrant.

Kernel: 4.5.0-302.fc24.x86_64
VirtualBox: 5.0.16
Vagrant: 1.8.1

Curiously, when I create a new VM using the VBox GUI, it starts correctly without causing this kernel oops.


[ 2618.971382] page:ffffea0001c94f00 count:1 mapcount:0 mapping:          (null) index:0x0 compound_mapcount: 0
[ 2618.971386] flags: 0x1ffffc00004000(head)
[ 2618.971388] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
[ 2618.971415] ------------[ cut here ]------------
[ 2618.972492] kernel BUG at include/linux/page-flags.h:272!
[ 2618.973556] invalid opcode: 0000 [#2] SMP 
[ 2618.974627] Modules linked in: nfnetlink_queue nfnetlink_log vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm ccm fuse ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ebtable_filter ebtables ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw binfmt_misc bnep vfat fat arc4 intel_rapl x86_pkg_temp_thermal coretemp kvm_intel iwlmvm kvm mac80211 iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap iwlwifi dell_led
[ 2618.978705]  irqbypass crct10dif_pclmul dell_laptop crc32_pclmul dcdbas dell_smm_hwmon ghash_clmulni_intel snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic cfg80211 snd_soc_rt5640 snd_hda_intel snd_soc_rl6231 snd_hda_codec snd_soc_ssm4567 uvcvideo snd_soc_core snd_hda_core videobuf2_vmalloc i2c_i801 lpc_ich videobuf2_memops videobuf2_v4l2 videobuf2_core snd_hwdep videodev snd_seq snd_compress btusb snd_pcm_dmaengine snd_seq_device ac97_bus btrtl elan_i2c joydev rtsx_usb_ms snd_pcm btbcm btintel media memstick bluetooth snd_timer mei_me mei snd soundcore shpchp wmi dell_rbtn snd_soc_sst_acpi rfkill snd_soc_sst_match i2c_designware_platform dw_dmac i2c_designware_core dw_dmac_core spi_pxa2xx_platform tpm_tis acpi_pad tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc rtsx_usb_sdmmc hid_logitech_hidpp
[ 2618.982728]  hid_multitouch rtsx_usb amdkfd amd_iommu_v2 i915 amdgpu ttm i2c_algo_bit drm_kms_helper crc32c_intel 8021q serio_raw drm garp stp llc mrp r8169 sdhci_acpi mii sdhci mmc_core video i2c_hid fjes hid_logitech_dj
[ 2618.985461] CPU: 2 PID: 9456 Comm: EMT-0 Tainted: G      D    OE   4.5.0-302.fc24.x86_64 #1
[ 2618.986900] Hardware name: Dell Inc. Inspiron 5548/0YDTG3, BIOS A06 10/12/2015
[ 2618.988338] task: ffff8803cfcedb80 ti: ffff8803d0334000 task.ti: ffff8803d0334000
[ 2618.989774] RIP: 0010:[<ffffffffa0bfeb68>]  [<ffffffffa0bfeb68>] rtR0MemObjLinuxAllocPages+0x178/0x290 [vboxdrv]
[ 2618.991243] RSP: 0018:ffff8803d0337c98  EFLAGS: 00050246
[ 2618.992697] RAX: 000000000000003c RBX: 0000000000000002 RCX: 0000000000000006
[ 2618.994165] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88045ec8dfb0
[ 2618.995598] RBP: ffff8803d0337cd0 R08: 00000000000ed27c R09: 0000000000000420
[ 2618.997058] R10: ffffffff81a80399 R11: ffffffff81f3f0cd R12: 0000000000002000
[ 2618.998536] R13: 00000000024200c2 R14: ffff88042f86b210 R15: 0000000000000000
[ 2619.000003] FS:  00007f2c3f0aa700(0000) GS:ffff88045ec80000(0000) knlGS:0000000000000000
[ 2619.001469] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 2619.002962] CR2: 00007f2c44481f10 CR3: 00000003e5c2b000 CR4: 00000000003406e0
[ 2619.004443] Stack:
[ 2619.005935]  ffff8803d0337cf0 0000000000001000 0000000000000001 0000000000040246
[ 2619.007439]  ffff8803d0337d50 ffff8804118d79f0 ffff8800860b2010 ffff8803d0337d18
[ 2619.009086]  ffffffffa0bff0cf ffff8803fffffff8 ffffea000f056040 0000000000000000
[ 2619.010586] Call Trace:
[ 2619.012075]  [<ffffffffa0bff0cf>] rtR0MemObjNativeAllocPage+0x4f/0xb0 [vboxdrv]
[ 2619.013532]  [<ffffffffa0bfca72>] VBoxHost_RTR0MemObjAllocPageTag+0x62/0x70 [vboxdrv]
[ 2619.014958]  [<ffffffffa0bed4d9>] SUPR0PageAllocEx+0x149/0x2d0 [vboxdrv]
[ 2619.016396]  [<ffffffffa0bf0e57>] supdrvIOCtl+0x17f7/0x32c0 [vboxdrv]
[ 2619.017811]  [<ffffffffa0beb5c0>] VBoxDrvLinuxIOCtl_5_0_16+0x150/0x250 [vboxdrv]
[ 2619.019253]  [<ffffffff81256763>] do_vfs_ioctl+0xa3/0x5d0
[ 2619.020571]  [<ffffffff81256d09>] SyS_ioctl+0x79/0x90
[ 2619.021843]  [<ffffffff817cd0ee>] entry_SYSCALL_64_fastpath+0x12/0x6d
[ 2619.023350] Code: 40 48 83 c2 08 48 39 c8 75 f0 b9 01 00 00 00 49 8b 7e 50 41 88 4e 40 48 8b 07 f6 c4 40 74 0e 48 c7 c6 30 3c c2 a0 e8 f8 4c 5e e0 <0f> 0b 48 8b 47 20 a8 01 75 ea 31 c0 f0 80 4f 01 04 48 83 c0 01 
[ 2619.024682] RIP  [<ffffffffa0bfeb68>] rtR0MemObjLinuxAllocPages+0x178/0x290 [vboxdrv]
[ 2619.025962]  RSP <ffff8803d0337c98>
[ 2619.027280] ---[ end trace 5bf2cf398c8dd741 ]---
Comment 4 Josh Boyer 2016-04-11 10:25:58 EDT
(In reply to Giovanni Tirloni from comment #3)
> I'm getting the same error when trying to start a VirtualBox VM using
> Vagrant.

Your issue is different, and in the virtualbox drivers.  Fedora doesn't provide or support those.
Comment 5 Rex Dieter 2016-05-03 22:25:27 EDT
*** Bug 1307033 has been marked as a duplicate of this bug. ***
Comment 6 Felix Miata 2016-05-03 23:16:57 EDT
I'm seeing this on multiple installations.
Comment 7 Bas Mevissen 2016-05-19 10:27:34 EDT
Same issue here, Dell M4800 notebook. It crashes the NVIDIA binary driver shortly after. Previous 4.4.9-300 kernel is fine.

page:ffffea00031e0000 count:1 mapcount:0 mapping:          (null) index:0x0 compound_mapcount: 0
flags: 0x1ffffc00004000(head)
page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
------------[ cut here ]------------
kernel BUG at include/linux/page-flags.h:272!
invalid opcode: 0000 [#1] SMP 
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ebtable_filter ebtables ip6table_secur
coretemp snd_hda_codec_realtek snd_soc_rt5640 kvm_intel mac80211 snd_hda_codec_generic kvm snd_hda_intel snd_soc_rl6231 irqbypass snd_soc_core snd_hda_codec snd_
sdhci mmc_core video i2c_hid fjes ecryptfs encrypted_keys trusted tpm i2c_dev
CPU: 4 PID: 2299 Comm: Xorg Tainted: P           OE   4.5.4-200.fc23.x86_64 #1
Hardware name: Dell Inc. Precision M4800/0WNW0H, BIOS A16 12/01/2015
Comment 8 Ralf Corsepius 2016-05-24 03:10:26 EDT
My issues (Originally reported as RHBZ#1307033) seem to be fixed with kernel-4.5.5-300.fc24 and kernel-4.5.5-201.fc23.
Comment 9 Tomasz Torcz 2016-06-17 04:00:47 EDT
For the record, this is still happening with 4.7.0-0.rc3.git1.1.fc25.x86_64. This means no graphical UI on rawhide (BUG() occurs when starting GDM).
Comment 10 Felix Miata 2016-06-18 03:43:45 EDT
Still no panel/taskbar here on F25 host big41:
[  441.069431] QXcbEventReader[1325]: segfault at 7f981a0d00c9 ip 00007f981a0d00c9 sp 00007f9817430d20 error 14 in LC_COLLATE[7f981aa72000+130000]
[ 1468.383290] kactivitymanage[1328]: segfault at 7ff53b2eb670 ip 00007ff5280e54d1 sp 00007ffc20025218 error 4 in libQt5Sql.so.5.6.0 (deleted)[7ff5280cf000+45000]
[ 2261.357217] kactivitymanage[27977]: segfault at 7f696063d670 ip 00007f6941126481 sp 00007ffceaa595f8 error 4 in libQt5Sql.so.5.6.1[7f6941110000+45000]
[  190.102348] kactivitymanage[1181]: segfault at 7f3206252670 ip 00007f31e815f481 sp 00007ffe97cf28a8 error 4 in libQt5Sql.so.5.6.1[7f31e8149000+45000]
kernel-core-4.7.0-0.rc3.git2.1.fc25.x86_64
plasma-workspace-5.6.5-1.fc25.x86_64
qt5-qtbase-5.6.1-3.fc25.x86_64
xorg-x11-server-Xorg-1.18.3-4.fc25.x86_64
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series]
[  1513.064] (II) modeset(0): Output VGA-1 connected
Comment 11 Jan Kurik 2016-07-26 00:02:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 12 Tomasz Torcz 2016-09-26 04:20:20 EDT
Still happening with 4.8.0-0.rc7.git4.1.fc26.x86_64. Linux number changed from 272 to 275, but rest is the same.

[  +0,000007] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
[  +0,000096] ------------[ cut here ]------------
[  +0,000577] kernel BUG at ./include/linux/page-flags.h:275!
[  +0,000000] invalid opcode: 0000 [#1] SMP
[  +0,000000] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun sit tunnel4 ip_tunnel nf_conntrack_netbios_ns nf_conntrack_broadcast ccm ip6t_rpfil
[  +0,044284]  rfkill i2c_i801 i2c_smbus snd_timer snd lpc_ich soundcore intel_rng parport_pc parport acpi_cpufreq tpm_tis tpm_tis_core tpm shpchp dm_multipath nfsd auth_
[  +0,000000] CPU: 0 PID: 2516 Comm: gnome-shell Not tainted 4.8.0-0.rc7.git4.1.fc26.x86_64 #1
[  +0,029711] Hardware name: Dell Inc.                 OptiPlex GX620               /0F8096, BIOS A11 11/30/2006
[  +0,000000] task: ffffa25988f90000 task.stack: ffffa25986a2c000
[  +0,000000] RIP: 0010:[<ffffffffc016ebdb>]  [<ffffffffc016ebdb>] drm_pci_alloc+0x14b/0x1c0 [drm]
[  +0,000000] RSP: 0018:ffffa25986a2fa10  EFLAGS: 00010246
[  +0,000000] RAX: 000000000000003c RBX: ffffa259869efac0 RCX: 0000000000000006
[  +0,000000] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffffa259bc7ce2a0
[  +0,000000] RBP: ffffa25986a2fa40 R08: 0000000000000001 R09: 0000000000000001
[  +0,000000] R10: ffffa2597bac0000 R11: 0000000000000001 R12: 0000000000040000
[  +0,000000] R13: ffffa2597bac0000 R14: ffffa25976201780 R15: ffffa259b6d70000
[  +0,000000] FS:  00007fbd49f68ac0(0000) GS:ffffa259bc600000(0000) knlGS:0000000000000000
[  +0,000000] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0,000000] CR2: 000055a016e91858 CR3: 000000004c657000 CR4: 00000000000006f0
[  +0,000000] Stack:
[  +0,000000]  024040c4b6d70000 ffffa259bba940a0 000000008c7af09a 0000000000000100
[  +0,000000]  ffffa259762016d8 ffffa25976201680 ffffa25986a2fa78 ffffffffc0284145
[  +0,000000]  0000000075956800 ffffa25975954800 ffffa259b0142600 ffffa25988d1bb40
[  +0,000000] Call Trace:
[  +0,000000]  [<ffffffffc0284145>] i915_gem_object_attach_phys+0xf5/0x160 [i915]
[  +0,000000]  [<ffffffffc02d1979>] intel_prepare_plane_fb+0x1d9/0x2b0 [i915]
[  +0,000000]  [<ffffffffc01dbc41>] drm_atomic_helper_prepare_planes+0x51/0xe0 [drm_kms_helper]
[  +0,000000]  [<ffffffffc02c9df9>] intel_atomic_commit+0x309/0x590 [i915]
[  +0,000000]  [<ffffffffc01844e1>] ? drm_atomic_check_only+0x191/0x620 [drm]
[  +0,000000]  [<ffffffffc0183c78>] ? drm_atomic_get_crtc_state+0x88/0x100 [drm]
[  +0,000000]  [<ffffffffc01849a7>] drm_atomic_commit+0x37/0x60 [drm]
[  +0,000000]  [<ffffffffc01dcb2c>] drm_atomic_helper_update_plane+0xec/0x130 [drm_kms_helper]
[  +0,000000]  [<ffffffffc0172c5b>] __setplane_internal+0x22b/0x270 [drm]
[  +0,000000]  [<ffffffffc0172dd9>] drm_mode_cursor_universal+0x139/0x240 [drm]
[  +0,000000]  [<ffffffffc0172f61>] drm_mode_cursor_common+0x81/0x180 [drm]
[  +0,000000]  [<ffffffffc01776de>] drm_mode_cursor2_ioctl+0xe/0x10 [drm]
[  +0,000000]  [<ffffffffc0169103>] drm_ioctl+0x313/0x4f0 [drm]
[  +0,000000]  [<ffffffffc01776d0>] ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[  +0,000000]  [<ffffffff920deb19>] ? __might_sleep+0x49/0x80
Comment 13 Tomasz Torcz 2016-10-28 08:37:52 EDT
[  108.471930] page:ffffd89000ffb000 count:1 mapcount:0 mapping:          (null) index:0x0 compound_mapcount: 0                                                          [  108.471944] flags: 0xfffffc0004000(head)                                                                                                                              [  108.471949] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))                                                                                              [  108.472029] ------------[ cut here ]------------                                                                                                                      [  108.472428] kernel BUG at ./include/linux/page-flags.h:275!                                                                                                           [  108.472428] invalid opcode: 0000 [#1] SMP                                                                                                                             

[  108.483695] CPU: 1 PID: 2327 Comm: gnome-shell Not tainted 4.9.0-0.rc2.git1.1.fc26.x86_64 #1
Comment 14 Tomasz Torcz 2016-12-09 02:15:56 EST
Still happens:  4.9.0-0.rc8.git2.1.fc26.x86_64

[   99.356810] page:ffffbc1b81087000 count:1 mapcount:0 mapping:          (null) index:0x0 compound_mapcount: 0
[   99.356824] flags: 0xfffffc0004000(head)
[   99.356830] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
[   99.356917] ------------[ cut here ]------------
[   99.362229] kernel BUG at ./include/linux/page-flags.h:275!
[   99.362229] invalid opcode: 0000 [#1] SMP
[   99.362229] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun sit tunnel4 ip_tunnel dm_service_time ccm iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnx2fc cnic uio fcoe libfcoe libfc scsi_transport_fc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw ebtable_filter ebtables ip6table_filter ip6_tables arc4 rt2800usb rt2x00usb rt2800lib rt2x00lib mac80211 ppdev snd_intel8x0 snd_ac97_codec ac97_bus cfg80211 snd_seq snd_seq_device intel_powerclamp
[   99.377045]  snd_pcm dcdbas rfkill snd_timer snd soundcore i2c_i801 lpc_ich i2c_smbus intel_rng parport_pc parport shpchp acpi_cpufreq tpm_tis tpm_tis_core tpm tcp_bbr nfsd auth_rpcgss dm_multipath nfs_acl lockd grace sunrpc xfs libcrc32c i915 serio_raw video i2c_algo_bit tg3 drm_kms_helper ata_generic pata_acpi ptp pps_core drm fjes 8021q garp stp llc mrp softdog
[   99.422680] CPU: 1 PID: 2172 Comm: gnome-shell Not tainted 4.9.0-0.rc8.git2.1.fc26.x86_64 #1
[   99.422680] Hardware name: Dell Inc.                 OptiPlex GX620               /0F8096, BIOS A11 11/30/2006
[   99.422680] task: ffff8df914753100 task.stack: ffff9b8181ef0000
[   99.422680] RIP: 0010:[<ffffffffc033a955>]  [<ffffffffc033a955>] drm_pci_alloc+0x145/0x1c0 [drm]
[   99.422680] RSP: 0018:ffff9b8181ef3a10  EFLAGS: 00010246
[   99.422680] RAX: 000000000000003c RBX: ffff8df921a5cf20 RCX: 0000000000000006
[   99.422680] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff8df93c9ce300
[   99.422680] RBP: ffff9b8181ef3a40 R08: 0000000000000001 R09: 0000000000000001
[   99.479271] R10: ffff8df9021c0000 R11: 0000000000000001 R12: 0000000000040000
[   99.479271] R13: ffff8df9021c0000 R14: ffff8df9026b5900 R15: ffff8df936320000
[   99.497008] FS:  00007f07daa33ac0(0000) GS:ffff8df93c800000(0000) knlGS:0000000000000000
[   99.497008] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   99.497008] CR2: 00005634e0fd3fd8 CR3: 000000004e893000 CR4: 00000000000006e0
[   99.497008] Stack:
[   99.497008]  024040c436320000 ffff8df93bba40a0 00000000035b1b4a 0000000000000100
[   99.497008]  ffff8df902130300 ffff8df902130300 ffff9b8181ef3a60 ffffffffc044e5b2
[   99.497008]  ffff8df936c57c00 ffff8df93a3f6400 ffff9b8181ef3aa0 ffffffffc049cae8
[   99.497008] Call Trace:
[   99.497008]  [<ffffffffc044e5b2>] i915_gem_object_attach_phys+0x72/0xb0 [i915]
[   99.497008]  [<ffffffffc049cae8>] intel_prepare_plane_fb+0x1e8/0x2e0 [i915]
[   99.497008]  [<ffffffffc03abc2d>] drm_atomic_helper_prepare_planes+0x6d/0x120 [drm_kms_helper]
[   99.497008]  [<ffffffffa610d6f9>] ? static_obj+0x39/0x50
[   99.497008]  [<ffffffffc049538e>] intel_atomic_commit+0x25e/0x4e0 [i915]
[   99.497008]  [<ffffffffc034a5d6>] ? drm_atomic_check_only+0x316/0x5b0 [drm]
[   99.497008]  [<ffffffffc034a8b9>] drm_atomic_commit+0x49/0x50 [drm]
[   99.497008]  [<ffffffffc03acb9c>] drm_atomic_helper_update_plane+0xec/0x130 [drm_kms_helper]
[   99.497008]  [<ffffffffc0350f5f>] __setplane_internal+0x19f/0x260 [drm]
[   99.497008]  [<ffffffffc035114c>] drm_mode_cursor_universal+0x12c/0x220 [drm]
[   99.497008]  [<ffffffffc03512c9>] drm_mode_cursor_common+0x89/0x180 [drm]
[   99.497008]  [<ffffffffc0351d2e>] drm_mode_cursor2_ioctl+0xe/0x10 [drm]
[   99.497008]  [<ffffffffc0334f3a>] drm_ioctl+0x37a/0x4e0 [drm]
[   99.497008]  [<ffffffffc0351d20>] ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[   99.497008]  [<ffffffffa60e16fa>] ? __might_sleep+0x4a/0x80
[   99.497008]  [<ffffffffa62c3fa3>] do_vfs_ioctl+0xa3/0x6f0
[   99.497008]  [<ffffffffa62d18e5>] ? __fget+0x5/0x200
[   99.497008]  [<ffffffffa62c4669>] SyS_ioctl+0x79/0x90
[   99.497008]  [<ffffffffa6917881>] entry_SYSCALL_64_fastpath+0x1f/0xc2
[   99.497008] Code: c1 ef 0c 48 c1 e7 06 48 03 3d a0 87 b0 e6 48 8b 0f 80 e5 40 75 09 48 8b 4f 20 83 e1 01 74 0e 48 c7 c6 18 6b 36 c0 e8 6b 3b f0 e5 <0f> 0b f0 80 4f 01 04 48 05 00 10 00 00 49 81 ec 00 10 00 00 75 
[   99.497008] RIP  [<ffffffffc033a955>] drm_pci_alloc+0x145/0x1c0 [drm]
[   99.497008]  RSP <ffff9b8181ef3a10>
[   99.664887] ---[ end trace ffee98fdc70912d8 ]---
Comment 15 Tomasz Torcz 2017-01-03 01:49:33 EST
*** Bug 1405289 has been marked as a duplicate of this bug. ***
Comment 16 Tomasz Torcz 2017-01-03 01:52:29 EST
VirtualBox has following workaround for this issue: https://www.virtualbox.org/changeset/60372/vbox
Comment 17 Fedora End Of Life 2017-02-28 04:53:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.